Home | All Classes | Main Classes | Annotated | Grouped Classes | Functions |

# QMimeSource Class Reference

The QMimeSource class is an abstraction of objects which provide formatted data of a certain MIME type. More...

    #include <QMimeSource>

Inherited by QDragObject and QDropEvent.

- List of all members, including inherited members

### Public Functions

- QMimeSource ()
- virtual ~QMimeSource ()
- virtual QByteArray encodedData ( const char * format ) const = 0
- virtual const char * format ( int i = 0 ) const = 0
- virtual bool provides ( const char * mimeType ) const
- int serialNumber () const

## Detailed Description

The QMimeSource class is an abstraction of objects which provide formatted data of a certain MIME type.

Drag-and-drop and clipboard use this abstraction.

See also IANA list of MIME media types.

## Member Function Documentation

### QMimeSource::QMimeSource ()

Constructs a mime source and assigns a globally unique serial number to it.

See also serialNumber().

### QMimeSource::~QMimeSource () `[virtual]`

Provided to ensure that subclasses destroy themselves correctly.

### QByteArray QMimeSource::encodedData ( const char * format ) const `[pure virtual]`

Returns the encoded data of this object in the specified MIME format.

Subclasses must reimplement this function.

### const char * QMimeSource::format ( int i = 0 ) const `[pure virtual]`

Returns the i-th supported MIME format, or 0.

### bool QMimeSource::provides ( const char * mimeType ) const `[virtual]`

Returns true if the object can provide the data in format mimeType; otherwise returns false.

If you inherit from QMimeSource, for consistency reasons it is better to implement the more abstract canDecode() functions such as QTextDrag::canDecode() and QImageDrag::canDecode().

### int QMimeSource::serialNumber () const

Returns the mime source's globally unique serial number.